Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.exceptions
Class SystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.bea.p13n.exceptions.SystemException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AdminResourceSystemException, ConfigurableEntitySystemException, DelegatedAdminSecurityException, DelegatedAdminSystemException, IllegalArgumentException, MailSystemException, PortalPersistenceSystemException, ProfileSystemException, PropertySetRepositoryException, PropertySetXMLException, PropertySystemException, ProviderMgmtException, UserManagementException, VisitorUserSystemException

public abstract class SystemException
extends RuntimeException

An abstract base class designed to be extended by a given subsystem or service. It provides exception-chaining functionality that allows for printing a chained stack trace. The SystemException is the superclass of exceptions that can be thrown by the Java Virtal Machine during normal operation. This type of exception typically is not the result of a business logic failure. It is HIGHLY RECOMMENDED that subclasses provide the same constructors that are present in this class in order to maintain the highest degree of compatibility with this API. Although not enforced by this class, it is STRONGLY RECOMMENDED that the message argument set in the constructor originate from the WLS message catalog and not be hard-coded. For example:

        public static final MySubsystemExceptionTextFormatter myFormatter =
            new MySubsystemExceptionTextFormatter();
        . . .
        throw new MySubsystemException( myFormatter.MyExceptionMessage( arg0, arg1) );

Subclasses should contain data attributes pertaining to the failed condition such that a precise, meaningful message can be conveyed to the caller. A good check is to examine the exception message. If the message has placeholders representing application objects, those application objects should probably exist as attributes in the given exception class.

See Also:
  Serialized Form

Constructor Summary
`SystemException()`
`SystemException(String message)`
`SystemException(String message, Throwable cause)`
`SystemException(Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemException

    public SystemException()

### SystemException

    public SystemException(String message)

### SystemException

    public SystemException(String message,
                           Throwable cause)

### SystemException

    public SystemException(Throwable cause)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved